<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
ini_set('memory_limit', '-1');
class PromocionesC extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
        $this->load->model('promociones/cosmetologo/PromocionesC_model');
        $this->load->library(array('session','form_validation'));
		$this->load->helper(array('url'));
    }

    public function index()
    {
        if($this->session->userdata('Rol_IdRol')==FALSE || 
        $this->session->userdata('Rol_IdRol') == '1'|| 
        $this->session->userdata('Rol_IdRol') == '2')
        {
            redirect(base_url().'acceso/acceso');
        } else {
            $this->load->view('layout/headerCos');
            $this->load->view('layout/menuCosmetologo');
            $this->load->view('promociones/cosmetologo/listapromocionesC_view');
            $this->load->view('layout/footer');
        }
    }
    public function promociones()
	{
		$this->PromocionesC_model->Promociones();
    }
    public function ver()
	{
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '2')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$id=$this->uri->segment(5);
		$datos=$this->PromocionesC_model->VerPromocion($id);
		if($datos!=FALSE)
		{
			foreach ($datos->result() as $fila) 
			{
				$data = array(
					'IdPromociones' => $fila->IdPromociones,
					'Tipopromocion' => $fila->TipoPromocion,
					'NombrePromocion' => $fila->NombrePromocion,
					'Categoria' => $fila->NombreCategoria,
					'Clasificacion'=>$fila->ClasificacionPromocion,
					'Sesiones' => $fila->SesionesPromocion,
					'Precio' => $fila->Precio,
					'Estatus' => $fila->Estatus,
					'Descripcion' => $fila->DescripcionPromocion,
					'FechaInicio' => date("d-m-Y", strtotime($fila->FechaInicioPromocion)),
					'FechaTermino' => date("d-m-Y", strtotime($fila->FechaTerminoPromocion)),
								 );
			}
		}		
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$this->load->view('promociones/cosmetologo/verpromocionC_view',$data);
		$this->load->view('layout/footer');
		}
	}
}